Bug 258039 - devel/gsettings-desktop-schemas: update to 40.0
Summary: devel/gsettings-desktop-schemas: update to 40.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL: https://gitlab.gnome.org/GNOME/gsetti...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-08-25 12:10 UTC by Jan Beich
Modified: 2021-09-02 00:31 UTC (History)
2 users (show)

See Also:
nc: maintainer-feedback+


Attachments
v1 (1.16 KB, patch)
2021-08-25 12:10 UTC, Jan Beich
no flags Details | Diff
v1 (apply via "git am") (1.64 KB, patch)
2021-08-28 16:06 UTC, Jan Beich
no flags Details | Diff
v1.1 (apply via "git am") (1.64 KB, patch)
2021-08-28 21:57 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-08-25 12:10:04 UTC
Created attachment 227423 [details]
v1

Tested with Firefox (Gtk3) and celluloid-devel (Gtk4) under Sway (Wayland).

For example (saved in ~/.config/dconf/user or ~/.config/glib-2.0/settings/keyfile):
$ gsettings set org.gnome.desktop.interface gtk-key-theme Emacs
$ gsettings set org.gnome.desktop.interface gtk-theme Matcha-dark-sea
$ gsettings set org.gnome.desktop.interface cursor-size 54
$ gsettings set org.gnome.desktop.interface text-scaling-factor 1.44
Comment 1 Jan Beich freebsd_committer 2021-08-28 14:48:59 UTC
Upstream changes (see URL field) appear backward-compatible. I'm mainly interested in dropping depedency on heavy sysutils/gnome-settings-daemon for font settings under GDK_BACKEND=wayland.

https://gitlab.gnome.org/GNOME/gtk/-/commit/e6209de96258
https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas/-/commit/d6a804b3a736

Before (gsettings-desktop-schemas-3.38.0 but gnome-settings-daemon-3.38.2 isn't installed):

  $ gsettings set org.gnome.settings-daemon.plugins.xsettings hinting none
  No such schema “org.gnome.settings-daemon.plugins.xsettings”
  $ gsettings set org.gnome.settings-daemon.plugins.xsettings antialiasing rgba
  No such schema “org.gnome.settings-daemon.plugins.xsettings”

After (gsettings-desktop-schemas-40.0):

 $ gsettings set org.gnome.desktop.interface font-hinting none
 $ gsettings set org.gnome.desktop.interface font-antialiasing rgba
Comment 2 Jan Beich freebsd_committer 2021-08-28 16:06:52 UTC
Created attachment 227514 [details]
v1 (apply via "git am")

No changes, just a Git header.

In other news, upstream has prepares for 41.0:
https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas/-/blob/41.rc/NEWS
https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas/-/compare/40.0...41.rc
Comment 3 Jan Beich freebsd_committer 2021-08-28 21:57:48 UTC
Created attachment 227518 [details]
v1.1 (apply via "git am")

Add one more :R to MASTER_SITES in case DISTVERSION extends to 3 digits e.g., 40.1.0 or 40.0.1.
Comment 4 Jan Beich freebsd_committer 2021-08-29 10:57:19 UTC
Tested a few direct consumers: liferea, epiphany, phoc, squeekboard - all work fine.
Comment 5 Jan Beich freebsd_committer 2021-08-29 11:09:43 UTC
mutter also works fine both X11 and Wayland (bug 258042) session. I haven't tested full GNOME because... having never used it before I don't know what should work and what's expected to be broken.
Comment 6 Jan Beich freebsd_committer 2021-08-30 20:01:33 UTC
I don't know what else to test for such a trivial update.
Comment 7 Evgeniy Khramtsov 2021-08-30 20:31:16 UTC
Also works fine here.
Comment 8 Neel Chauhan freebsd_committer 2021-09-01 23:02:18 UTC
LGTM.
Comment 9 commit-hook freebsd_committer 2021-09-02 00:30:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=106ca469f4a7ed549eba00d59c5f62decb2bd23b

commit 106ca469f4a7ed549eba00d59c5f62decb2bd23b
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-03-21 18:18:45 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-02 00:27:31 +0000

    devel/gsettings-desktop-schemas: update to 40.0

    Changes:        https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas/-/compare/3.38.0...40.0
    PR:             258039
    Tested by:      Evgeniy Khramtsov
    Approved by:    nc

 devel/gsettings-desktop-schemas/Makefile | 4 ++--
 devel/gsettings-desktop-schemas/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)